Bug 1771719 - Move Actions::Katello::Host::Update out of dynflow
Summary: Move Actions::Katello::Host::Update out of dynflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts - Content
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: 6.7.0
Assignee: Partha Aji
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks: 1758285
TreeView+ depends on / blocked
 
Reported: 2019-11-12 20:16 UTC by Partha Aji
Modified: 2020-07-17 04:31 UTC (History)
11 users (show)

Fixed In Version: tfm-rubygem-katello-3.14.0.6-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1791494 (view as bug list)
Environment:
Last Closed: 2020-04-14 13:27:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
hotfix RPM for Satellite 6.6.1 (15.66 MB, application/x-rpm)
2020-01-09 22:08 UTC, wclark
no flags Details
UPDATED hotfix for Satellite 6.6.1 (15.66 MB, application/x-rpm)
2020-01-21 23:08 UTC, wclark
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28317 Normal Closed Move Actions::Katello::Host::Update out of dynflow 2020-09-24 03:33:58 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:20 UTC

Description Partha Aji 2019-11-12 20:16:13 UTC
Actions::Katello::Host::Update is one the most used actions in the foreman tasks/dynflow queue. 
An example of a user who had 700,000 tasks in their task history saw this rough breakdown

COUNT|TYPE 

 320668 Actions::Katello::Host::Update

we need to investigate moving this to be handled directly by the main Rails application and not require the overhead of task creation, monitoring and eventual database cleanup.

Comment 3 Partha Aji 2019-11-20 14:05:48 UTC
Connecting redmine issue https://projects.theforeman.org/issues/28317 from this bug

Comment 4 Bryan Kearney 2019-11-20 15:05:08 UTC
Upstream bug assigned to paji@redhat.com

Comment 5 Bryan Kearney 2019-11-20 15:05:10 UTC
Upstream bug assigned to paji@redhat.com

Comment 6 Bryan Kearney 2019-11-25 21:05:16 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28317 has been resolved.

Comment 9 wclark 2020-01-09 22:07:15 UTC
Hotfix is available for Satellite 6.6.1. To install the hotfix:

1. Download attached tfm-rubygem-katello-3.12.0.29-2.HOTFIXRHBZ1771719.el7sat.noarch.rpm

2. # foreman-maintain packages unlock

3. # yum install tfm-rubygem-katello-3.12.0.29-2.HOTFIXRHBZ1771719.el7sat.noarch.rpm

4. # foreman-maintain packages lock

5. # systemctl restart dynflowd httpd

Comment 10 wclark 2020-01-09 22:08:31 UTC
Created attachment 1651075 [details]
hotfix RPM for Satellite 6.6.1

Comment 13 Partha Aji 2020-01-21 16:28:52 UTC
So to test this

1. Register a host
2. ```subscription-manager facts --update```. This should trigger host update actions. May be you can change some fact like dmi.uuid mutiple times and run the same call and verify that the host facts were updated.
3. Updating the content view/release version for host as a host bulk action should also trigger this,
4. You can do Monitor -> Tasks and look for  Actions::Katello::Host::Update and not find any since the time you triggered sub man facts update.

Comment 14 wclark 2020-01-21 23:08:25 UTC
Created attachment 1654422 [details]
UPDATED hotfix for Satellite 6.6.1

This is an updated hotfix for Satellite 6.6.1. The difference is that this hotfix also includes https://access.redhat.com/errata/RHBA-2020:0095

The installation instructions are the same.

Comment 17 Neha Samant 2020-02-16 15:20:22 UTC
Hello Team,

Is the same Hotfix applicable for Version 6.6.2


Thanks,

Neha

Comment 18 Mike McCune 2020-02-16 16:00:10 UTC
Neha, no need to hotfix 6.6.2, that errata includes this fix, see the zstream cloned bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1791494

Comment 21 errata-xmlrpc 2020-04-14 13:27:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.